aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..96fb4e9
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+rm -f config.cache
+mkdir -p build
+
+echo "Looking in current directory for macros."
+aclocal -I .
+echo "Adding missing files."
+automake --add-missing --force-missing
+echo "Autoconf, Autoheader, Automake"
+autoconf
+autoheader
+automake --foreign --add-missing --force-missing --copy
+exit $?
+